View Issue Details

IDProjectCategoryView StatusLast Update
0021341FPCRTLpublic2013-02-13 20:14
ReporterRustamAsm Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.7.1Fixed in Version3.0.0 
Summary0021341: Need Patch for Android
DescriptionThe patch is required to dynamically load libraries
Additional InformationI gave the patch to add support for dynamic loading library for android fpc 2.5.1 arm-linux
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Relationships

related to 0020726 resolvedThomas Schatzl Basic support for Android 
has duplicate 0021342 closedFelipe Monteiro de Carvalho The patch is required to dynamically load libraries 

Activities

2012-02-21 14:34

 

mych.diff (395 bytes)   
Index: rtl/unix/dl.pp
===================================================================
--- rtl/unix/dl.pp	(revision 19620)
+++ rtl/unix/dl.pp	(working copy)
@@ -29,7 +29,11 @@
 
 {$if defined(linux) and defined(cpuarm)}
 { arm-linux seems to require this }
-{$linklib c}
+  {$ifdef Android}
+    {$linklib dl}
+  {$else}
+    {$linklib c}
+  {$endif}
 {$endif}
 
   RTLD_LAZY         = $001;
mych.diff (395 bytes)   

Zeljan Rikalo

2012-02-21 14:42

reporter   ~0056971

This is not issue of lazarus, but fpc

RustamAsm

2012-02-21 14:56

reporter   ~0056972

Sorry, bug tracker so slow for me to orient problem here

Felipe Monteiro de Carvalho

2012-02-21 15:10

developer   ~0056973

This patch makes nothing before 20726 is implemented, so maybe we should wait for it to get finished before commiting this.

RustamAsm

2012-02-21 19:13

reporter   ~0056987

I think this issue will be resolved soon :(((
In any case, thanks will be waiting!

Felipe Monteiro de Carvalho

2012-03-20 16:41

developer   ~0057850

While we wait until the FPC Android support is fixed I have decided to create a FPC4Android branch. Here is the repository:

http://sourceforge.net/projects/p-tools/develop

I applied your patch there with some modifications so that it is always available in arm-linux. This branch will not support anything except Android for arm-linux.

Yuriy Sydorov

2013-02-13 20:14

manager   ~0065675

The Android target is now in trunk.

Issue History

Date Modified Username Field Change
2012-02-21 14:34 RustamAsm New Issue
2012-02-21 14:34 RustamAsm File Added: mych.diff
2012-02-21 14:34 RustamAsm Widgetset => CustomDrawn
2012-02-21 14:42 Zeljan Rikalo Note Added: 0056971
2012-02-21 14:42 Zeljan Rikalo Status new => assigned
2012-02-21 14:42 Zeljan Rikalo Assigned To => Felipe Monteiro de Carvalho
2012-02-21 14:56 RustamAsm Note Added: 0056972
2012-02-21 15:09 Felipe Monteiro de Carvalho Project Patches => FPC
2012-02-21 15:10 Felipe Monteiro de Carvalho Relationship added related to 0020726
2012-02-21 15:10 Felipe Monteiro de Carvalho Note Added: 0056973
2012-02-21 16:11 Felipe Monteiro de Carvalho Relationship added has duplicate 0021342
2012-02-21 19:13 RustamAsm Note Added: 0056987
2012-02-21 20:00 Jonas Maebe FPCOldBugId => 0
2012-02-21 20:00 Jonas Maebe Category Other => RTL
2012-02-21 20:00 Jonas Maebe Product Version 0.9.31 (SVN) =>
2012-03-20 16:41 Felipe Monteiro de Carvalho Note Added: 0057850
2013-02-13 20:14 Yuriy Sydorov Note Added: 0065675
2013-02-13 20:14 Yuriy Sydorov Status assigned => resolved
2013-02-13 20:14 Yuriy Sydorov Fixed in Version => 2.7.1
2013-02-13 20:14 Yuriy Sydorov Resolution open => fixed
2013-02-13 20:14 Yuriy Sydorov Target Version => 2.7.1